/* =========================[ IMAGE VIEWER ]========================= */

.image-viewer-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.75);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 3000;
}

.image-viewer-modal {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* IMAGE ALWAYS ROUND */
.image-viewer-image {
  width: min(420px, 90vw);
  aspect-ratio: 1 / 1;

  border-radius: 50%;
  object-fit: cover;

  display: block;

  /* Smooth transition effect */
  transition: opacity 0.25s ease, transform 0.25s ease;
}



/* Adjust close button position */
.image-viewer-modal .btn-close {
    top: 10px;
    right: 10px;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.15);
}

/* Prevent browser long-press context menu on mobile */
.image-viewer-overlay,
.image-viewer-overlay * {
  -webkit-touch-callout: none;
  user-select: none;
}